#!/usr/bin/perl

use strict;
use lib './lib';
use Test::More tests => 884;

use FindBin;
use lib $FindBin::RealBin;
use testload;

my $file = "$Dat_Dir/basic.html";

use HTML::TableExtract;

# By border
my $label = 'by border attribute';
my $te = HTML::TableExtract->new( attribs => { border => 1 } );
ok($te->parse_file($file), "$label (parse_file)");
my @tablestates = $te->table_states;
cmp_ok(@tablestates, '==', 3, "$label (extract count)");
good_data($_, "$label (data)") foreach @tablestates;

# By cellpadding
my $label = 'by cellpadding attribute';
my $te = HTML::TableExtract->new( attribs => { cellpadding => 1 } );
ok($te->parse_file($file), "$label (parse_file)");
my @tablestates = $te->table_states;
cmp_ok(@tablestates, '==', 1, "$label (extract count)");
good_data($_, "$label (data)") foreach @tablestates;
